# Poco::JWT

# class Serializer

Library: JWT
Package: JWT
Header: Poco/JWT/Serializer.h

## Description

A helper class for serializing and deserializing JWTs.

## Member Summary

Member Functions: deserialize, serialize, split

## Member Functions

### deserialize

static Poco::JSON::Object::Ptr deserialize(
const std::string & serialized
);

Attempts to deserialize a base64-encoded serialized JSON object.

### deserialize

static Poco::JSON::Object::Ptr deserialize(
std::istream & stream
);

Attempts to deserialize a base64-encoded serialized JSON object.

### serialize

static std::string serialize(
const Poco::JSON::Object & object
);

Serializes and base64-encodes a JSON object.

### serialize

static void serialize(
const Poco::JSON::Object & object,
std::ostream & stream
);

Serializes and base64-encodes a JSON object.

### split

static std::vector < std::string > split(
const std::string & token
);

Splits a serialized JWT into its components.